<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFUserException (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFUserException (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFUserException.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/MissingRecordAwareHSSFListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/HSSFUserException.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFUserException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.eventusermodel</div>
    <h2 title="Class HSSFUserException" class="title">Class HSSFUserException</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Throwable</li>
                <li>
                    <ul class="inheritance">
                        <li>java.lang.Exception</li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.eventusermodel.HSSFUserException</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFUserException</span>
extends java.lang.Exception</pre>
                <div class="block"><p>This exception is provided as a way for API users to throw
                    exceptions from their event handling code. By doing so they
                    abort file processing by the HSSFEventFactory and by
                    catching it from outside the HSSFEventFactory.processEvents
                    method they can diagnose the cause for the abort.</p>

                    <p>The HSSFUserException supports a nested "reason"
                        throwable, i.e. an exception that caused this one to be thrown.</p>

                    <p>The HSSF package does not itself throw any of these
                        exceptions.</p></div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>2002-04-19</dd>
                    <dt><span class="simpleTagLabel">Version:</span></dt>
                    <dd>HSSFUserException.java,v 1.0</dd>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd>
                        <a href="../../../../../serialized-form.html#org.apache.poi.hssf.eventusermodel.HSSFUserException">Serialized
                            Form</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html#HSSFUserException--">HSSFUserException</a></span>()</code>
                                    <div class="block">Creates a new <a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html#HSSFUserException-java.lang.String-">HSSFUserException</a></span>(java.lang.String&nbsp;msg)</code>
                                    <div class="block">Creates a new <a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>
                                        with a message
                                        string.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html#HSSFUserException-java.lang.String-java.lang.Throwable-">HSSFUserException</a></span>(java.lang.String&nbsp;msg,
                                    java.lang.Throwable&nbsp;reason)</code>
                                    <div class="block">Creates a new <a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>
                                        with a message string
                                        and a reason.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html#HSSFUserException-java.lang.Throwable-">HSSFUserException</a></span>(java.lang.Throwable&nbsp;reason)</code>
                                    <div class="block">Creates a new <a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                            title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>
                                        with a reason.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Throwable</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html#getReason--">getReason</a></span>()</code>
                                    <div class="block">Returns the <code>Throwable</code> that caused this exception to
                                        be thrown or <code>null</code> if there was no such <code>Throwable</code>.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Throwable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Throwable</h3>
                                <code>addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage,
                                    getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace,
                                    printStackTrace, setStackTrace, toString</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFUserException--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFUserException</h4>
                                <pre>public&nbsp;HSSFUserException()</pre>
                                <div class="block"><p>Creates a new <a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                        title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>.
                                </p></div>
                            </li>
                        </ul>
                        <a name="HSSFUserException-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFUserException</h4>
                                <pre>public&nbsp;HSSFUserException(java.lang.String&nbsp;msg)</pre>
                                <div class="block"><p>Creates a new <a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                        title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>
                                    with a message
                                    string.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>msg</code> - the error message</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSSFUserException-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFUserException</h4>
                                <pre>public&nbsp;HSSFUserException(java.lang.Throwable&nbsp;reason)</pre>
                                <div class="block"><p>Creates a new <a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                        title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>
                                    with a reason.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>reason</code> - the causing exception</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSSFUserException-java.lang.String-java.lang.Throwable-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFUserException</h4>
                                <pre>public&nbsp;HSSFUserException(java.lang.String&nbsp;msg,
                         java.lang.Throwable&nbsp;reason)</pre>
                                <div class="block"><p>Creates a new <a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                        title="class in org.apache.poi.hssf.eventusermodel"><code>HSSFUserException</code></a>
                                    with a message string
                                    and a reason.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>msg</code> - the error message</dd>
                                    <dd><code>reason</code> - the causing exception</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getReason--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getReason</h4>
                                <pre>public&nbsp;java.lang.Throwable&nbsp;getReason()</pre>
                                <div class="block"><p>Returns the <code>Throwable</code> that caused this exception to
                                    be thrown or <code>null</code> if there was no such <code>Throwable</code>.</p>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the reason</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFUserException.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/MissingRecordAwareHSSFListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/HSSFUserException.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFUserException.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
